com.genesyslab.wfm8.API.service.config800

## Class CfgCarpoolShort

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config800.CfgCarpoolShort

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgCarpoolShort
      extends java.lang.Object
      implements java.io.Serializable

  Short Carpool information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected int` | `wmBUId` BU ID that Carpool belongs to
    `protected int` | `wmCarpoolId` Carpool ID
    `protected int` | `wmCarpoolSize` Number of committed agents in carpool
    `protected java.lang.String` | `wmComments` Carpool comments
    `protected java.lang.String` | `wmName` Carpool name (must be unique with the same Site)
    `protected int` | `wmSiteId` Site ID that Carpool belongs to
    `protected int` | `wmStatus` Carpool status (`ECfgCarpoolStatus`)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgCarpoolShort()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getWmBUId()` Gets the value of the wmBUId property.
    `int` | `getWmCarpoolId()` Gets the value of the wmCarpoolId property.
    `int` | `getWmCarpoolSize()` Gets the value of the wmCarpoolSize property.
    `java.lang.String` | `getWmComments()` Gets the value of the wmComments property.
    `java.lang.String` | `getWmName()` Gets the value of the wmName property.
    `int` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `int` | `getWmStatus()` Gets the value of the wmStatus property.
    `int` | `hashCode()`
    `void` | `setWmBUId(int value)` Sets the value of the wmBUId property.
    `void` | `setWmCarpoolId(int value)` Sets the value of the wmCarpoolId property.
    `void` | `setWmCarpoolSize(int value)` Sets the value of the wmCarpoolSize property.
    `void` | `setWmComments(java.lang.String value)` Sets the value of the wmComments property.
    `void` | `setWmName(java.lang.String value)` Sets the value of the wmName property.
    `void` | `setWmSiteId(int value)` Sets the value of the wmSiteId property.
    `void` | `setWmStatus(int value)` Sets the value of the wmStatus property.
    `java.lang.String` | `toString()`
    `CfgCarpoolShort` | `withWmBUId(int value)`
    `CfgCarpoolShort` | `withWmCarpoolId(int value)`
    `CfgCarpoolShort` | `withWmCarpoolSize(int value)`
    `CfgCarpoolShort` | `withWmComments(java.lang.String value)`
    `CfgCarpoolShort` | `withWmName(java.lang.String value)`
    `CfgCarpoolShort` | `withWmSiteId(int value)`
    `CfgCarpoolShort` | `withWmStatus(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmCarpoolId

          protected int wmCarpoolId

      Carpool ID

    - #### wmBUId

          protected int wmBUId

      BU ID that Carpool belongs to

    - #### wmSiteId

          protected int wmSiteId

      Site ID that Carpool belongs to

    - #### wmName

          protected java.lang.String wmName

      Carpool name (must be unique with the same Site)

    - #### wmStatus

          protected int wmStatus

      Carpool status (`ECfgCarpoolStatus`)

    - #### wmComments

          protected java.lang.String wmComments

      Carpool comments

    - #### wmCarpoolSize

          protected int wmCarpoolSize

      Number of committed agents in carpool

  - ### Constructor Detail

    - #### CfgCarpoolShort

          public CfgCarpoolShort()

  - ### Method Detail

    - #### getWmCarpoolId

          public int getWmCarpoolId()

      Gets the value of the wmCarpoolId property.

    - #### setWmCarpoolId

          public void setWmCarpoolId(int value)

      Sets the value of the wmCarpoolId property.

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the value of the wmSiteId property.

    - #### setWmSiteId

          public void setWmSiteId(int value)

      Sets the value of the wmSiteId property.

    - #### getWmBUId

          public int getWmBUId()

      Gets the value of the wmBUId property.

    - #### setWmBUId

          public void setWmBUId(int value)

      Sets the value of the wmBUId property.

    - #### getWmName

          public java.lang.String getWmName()

      Gets the value of the wmName property.
      Returns:
        possible object is `String`

    - #### setWmName

          public void setWmName(java.lang.String value)

      Sets the value of the wmName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmStatus

          public int getWmStatus()

      Gets the value of the wmStatus property.

    - #### setWmStatus

          public void setWmStatus(int value)

      Sets the value of the wmStatus property.

    - #### getWmComments

          public java.lang.String getWmComments()

      Gets the value of the wmComments property.
      Returns:
        possible object is `String`

    - #### setWmComments

          public void setWmComments(java.lang.String value)

      Sets the value of the wmComments property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmCarpoolSize

          public int getWmCarpoolSize()

      Gets the value of the wmCarpoolSize property.

    - #### setWmCarpoolSize

          public void setWmCarpoolSize(int value)

      Sets the value of the wmCarpoolSize property.

    - #### withWmCarpoolId

          public CfgCarpoolShort withWmCarpoolId(int value)

    - #### withWmSiteId

          public CfgCarpoolShort withWmSiteId(int value)

    - #### withWmBUId

          public CfgCarpoolShort withWmBUId(int value)

    - #### withWmName

          public CfgCarpoolShort withWmName(java.lang.String value)

    - #### withWmStatus

          public CfgCarpoolShort withWmStatus(int value)

    - #### withWmComments

          public CfgCarpoolShort withWmComments(java.lang.String value)

    - #### withWmCarpoolSize

          public CfgCarpoolShort withWmCarpoolSize(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.